#include <algorithm>
#include <iostream>
#include <string>
#include <vector>

int main() {
	int szerokosc, wysokosc;
	std::cin >> szerokosc >> wysokosc;
	std::vector<std::string> dane;
	dane.emplace_back(szerokosc + 2, '.');
	for (int i = 0; i < wysokosc; i++) {
		std::string wiersz;
		std::cin >> wiersz;
		dane.push_back('.' + wiersz + '.');
	}
	dane.emplace_back(szerokosc + 2, '.');
	int wynik = 0;
	for (int i = 0; i <= wysokosc; i++) {
		for (int j = 0; j <= szerokosc; j++) {
			if (dane[i][j] == '#')
				wynik += 2;
			if (dane[i][j] != dane[i][j + 1])
				wynik++;
			if (dane[i][j] != dane[i + 1][j])
				wynik++;
		}
	}
	std::cout << wynik << '\n';
	return 0;
}
